commit: 942056047f019a68499f748bd062d4357aca0a4f
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 23:04:05 2019 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Oct 21 00:18:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94205604
dev-python/os-resource-classes: 0.5.0 bump
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/os-resource-classes/Manifest | 1 +
.../os-resource-classes-0.5.0.ebuild | 29 ++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/os-resource-classes/Manifest
b/dev-python/os-resource-classes/Manifest
index e0334fd6f4c..993f2c21cb4 100644
--- a/dev-python/os-resource-classes/Manifest
+++ b/dev-python/os-resource-classes/Manifest
@@ -1 +1,2 @@
DIST os-resource-classes-0.3.0.tar.gz 15371 BLAKE2B
93d9f97cc3ea546e56384684da086e284c6d4c575e8232ddb2655a98fc1cc37e6cf454f50890bffccc625342cb7bbc020df8f2a2a262a2888b854425ae2ac6f3
SHA512
6b347fde11dd0d11784a6e80ff148385b33e3f31545d6379693af611cd1d65d5cb54721c7fa599fc49b1f8e6a07ecf85ee33c30d09dc647da07fd4f67f6c5813
+DIST os-resource-classes-0.5.0.tar.gz 15949 BLAKE2B
7cef19c63a27723fdf0037224205c9df545f24c2ada020d196928707945a7acbca7619a98ca6e9585edb92b1ebb7259ea5c9811ae6d1daf18a90a92ce60661ce
SHA512
112548db1daf0c31fe4304cac3834d588e531102620f0e55f648cca81724eddddc05acce4cdf3fd468b38a44dbbecea43152903c1df3a809103a7f1b947b9cd7
diff --git a/dev-python/os-resource-classes/os-resource-classes-0.5.0.ebuild
b/dev-python/os-resource-classes/os-resource-classes-0.5.0.ebuild
new file mode 100644
index 00000000000..ab121613543
--- /dev/null
+++ b/dev-python/os-resource-classes/os-resource-classes-0.5.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A list of standardized resource classes for OpenStack."
+HOMEPAGE="https://github.com/openstack/os-resource-classes"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}